## premake 3.7

=== Makefile ===
# Makefile autogenerated by premake
# Don't edit this file! Instead edit `premake.lua` then rerun `make`
# Options:
#   CONFIG=[Debug|Release]

ifndef CONFIG
  CONFIG=Debug
endif

export CONFIG

.PHONY: all clean Premake

all: Premake

Makefile: premake.lua Src/premake.lua
	@echo ==== Regenerating Makefiles ====
	@premake --file $^ --clean --target gnu

Premake:
	@echo ==== Building Premake ====
	@$(MAKE) --no-print-directory -C Src

clean:
	@$(MAKE) --no-print-directory -C Src clean
