=== debian/changelog ===
premake (3.7-1) unstable; urgency=low

  * Initial release. (Closes: #262864)

 -- James Goppert <james.goppert@gmail.com>  Sat, 14 Aug 2010 14:59:46 -0400
