=== debian/control ===
Source: premake
Section: devel
Priority: extra
Maintainer: James Goppert <james.goppert@gmail.com>
Build-Depends: debhelper (>= 7), liblua5.1-0-dev
Standards-Version: 3.9.1
Homepage: http://sourceforge.net/projects/premake

Package: premake
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A build script generator
 Premake allows you to manage your project configuration 
 in one place and still support those pesky IDE-addicted Windows 
 coders and/or cranky Linux command-line junkies. It allows you 
 to generate project files for tools that you do not own. It saves 
 the time that would otherwise be spent manually keeping several
 different toolsets in sync. And it provides an easy upgrade path
 as new versions of your favorite tools are released.
