=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE)
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs
	mkdir -p $(CURDIR)/debian/tmp/usr/bin
	install -m755 $(CURDIR)/bin/premake $(CURDIR)/debian/tmp/usr/bin

binary-indep: install

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES.txt
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
